	// Content of Quiz25.js 
	// init SCORM API 
	function initQuiz25() {
		doInitialize();
	}
	
	/* close SCORM API */
	function finishQuiz25() {
		doTerminate();
	}

	function calculate25() {
		quizscore=0;
		maxscore=0;
		itemscore=true; /* a item answered completely right */
		itemName="";
		var answers=document.getElementsByTagName("input");
		// number of found input tags is one more as expected, because of submit button is the last one!!!
		for (i=0;i<answers.length-1;i++) {
			if (itemName != answers[i].name){ /* is it a new item? */
				itemName=answers[i].name; 
				if (i>0){ /* is it not the init of the first item? */
					if (itemscore){ /* if all answers are o.k. */
						quizscore++;
					}
					maxscore++;
					itemscore=true;
				}	
			}
			if (answers[i].value==1) { /* set the right colors */
				answers[i].parentNode.parentNode.style.backgroundColor = "#CBDBD7";
			}
			else {
				answers[i].parentNode.parentNode.style.backgroundColor = "#FFFFFF";
			}
			if ((answers[i].checked==false & answers[i].value==1) |
				(answers[i].checked==true & answers[i].value==0)){
				/* if one of the item answers is wrong then the complete item is wrong! */
				itemscore=false;
			}
			if (i == answers.length-2){ /* this is the last loop, last item!! */
				if (itemscore){ /* if all answers are o.k. */
					quizscore=quizscore+1;
				}
				maxscore=maxscore+1;
			}	
		}
		
		/* search all div tags and reset the display attribut to show all hidden explanation text */
		var answersFeedback=document.getElementsByTagName("div");
		for (j=0;j<answersFeedback.length;j++) {
			if (answersFeedback[j].style.display == "none") {
				answersFeedback[j].style.display = ''; 
			}
		}
		
		/* set the result and feedback text*/
		resultText = "";
		var failedLevel = 0;
		if (quizscore == maxscore){
		   resultText = document.getElementById("feedbacklevel1").firstChild.nodeValue
		} 
		else{
			if (quizscore == 0){
				resultText = document.getElementById("feedbacklevel3").firstChild.nodeValue
			} 
			else{
				failedLevel = (maxscore / 2) - 1; 
				if (quizscore >= failedLevel){
					resultText = document.getElementById("feedbacklevel2").firstChild.nodeValue
				} 
				else{
					resultText = document.getElementById("feedbacklevel3").firstChild.nodeValue
				} 
			} 
		}
		
		var feedbacktext = "  " + quizscore + "/" + maxscore + ".  " + resultText;
  		document.getElementById("displaytext").firstChild.nodeValue  = document.getElementById("scoretext").firstChild.nodeValue + feedbacktext;
        document.getElementById("resulttext").style.display = '';
        document.getElementById("displaytext").style.display = '';
        document.getElementById("submit").style.display = 'none';
		
		doSetValue("cmi.completion_status","completed"); /* send complete status via SCORM if submit was clicked  */
		doSetValue("cmi.success_status","passed"); /* send passed status via SCORM if submit was clicked  */

	}
	
	



	// Content of SCORMPlayer.js
var _Debug = false;  // set this to false to turn debugging off
                     // and get rid of those annoying alert boxes.



// Define exception/error codes
var _NoError = 0;
var _GeneralException = 101;
var _GeneralInitializationFailure = 102;
var _AlreadyInitialized = 103;
var _ContentInstanceTerminated = 104;
var _GeneralTerminationFailure = 111;
var _TerminationBeforeInitialization = 112;
var _TerminationAfterTermination = 113;
var _ReceivedDataBeforeInitialization = 122;
var _ReceivedDataAfterTermination = 123;
var _StoreDataBeforeInitialization = 132;
var _StoreDataAfterTermination = 133;
var _CommitBeforeInitialization = 142;
var _CommitAfterTermination = 143;
var _GeneralArgumentError = 201;
var _GeneralGetFailure = 301;
var _GeneralSetFailure = 351;
var _GeneralCommitFailure = 391;
var _UndefinedDataModelElement = 401;
var _UnimplementedDataModelElement = 402;
var _DataModelElementValueNotInitialized = 403;
var _DataModelElementIsReadOnly = 404;
var _DataModelElementIsWriteOnly = 405;
var _DataModelElementTypeMismatch = 406;
var _DataModelElementValueOutOfRange = 407;


// local variable definitions
var apiHandle = null;
var API = null;
var findAPITries = 0;


/*******************************************************************************
**
** Function: doInitialize()
** Inputs:  None
** Return:  CMIBoolean true if the initialization was successful, or
**          CMIBoolean false if the initialization failed.
**
** Description:
** Initialize communication with LMS by calling the Initialize
** function which will be implemented by the LMS.
**
*******************************************************************************/
function doInitialize()
{
   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true)  alert("Unable to locate the LMS's API Implementation.\nInitialize was not successful.");
      return "false";
   }

   var result = api.Initialize("");

   if (result.toString() != "true")
   {
      var err = ErrorHandler();
   }

   return result.toString();
}

/*******************************************************************************
**
** Function doTerminate()
** Inputs:  None
** Return:  CMIBoolean true if successful
**          CMIBoolean false if failed.
**
** Description:
** Close communication with LMS by calling the Terminate
** function which will be implemented by the LMS
**
*******************************************************************************/
function doTerminate()
{
   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true) alert("Unable to locate the LMS's API Implementation.\nTerminate was not successful.");
      return "false";
   }
   else
   {
      // call the Terminate function that should be implemented by the API

      var result = api.Terminate("");
      if (result.toString() != "true")
      {
         var err = ErrorHandler();
      }

   }

   return result.toString();
}

/*******************************************************************************
**
** Function doGetValue(name)
** Inputs:  name - string representing the cmi data model defined category or
**             element (e.g. cmi.core.student_id)
** Return:  The value presently assigned by the LMS to the cmi data model
**       element defined by the element or category identified by the name
**       input value.
**
** Description:
** Wraps the call to the GetValue method
**
*******************************************************************************/
function doGetValue(name)
{
   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true) alert("Unable to locate the LMS's API Implementation.\nGetValue was not successful.");
      return "";
   }
   else
   {
      var value = api.GetValue(name);
      var errCode = api.GetLastError().toString();
      if (errCode != _NoError)
      {
         // an error was encountered so display the error description
         var errDescription = api.GetErrorString(errCode);
         if (_Debug==true) alert("GetValue("+name+") failed. \n"+ errDescription);
         return "";
      }
      else
      {

         return value.toString();
      }
   }
}

/*******************************************************************************
**
** Function doSetValue(name, value)
** Inputs:  name -string representing the data model defined category or element
**          value -the value that the named element or category will be assigned
** Return:  CMIBoolean true if successful
**          CMIBoolean false if failed.
**
** Description:
** Wraps the call to the SetValue function
**
*******************************************************************************/
function doSetValue(name, value)
{
   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true) alert("Unable to locate the LMS's API Implementation.\nSetValue was not successful.");
      return;
   }
   else
   {
      var result = api.SetValue(name, value);
      if (result.toString() != "true")
      {
         var err = ErrorHandler();
      }
   }

   return;
}

/*******************************************************************************
**
** Function doCommit()
** Inputs:  None
** Return:  None
**
** Description:
** Call the Commit function
**
*******************************************************************************/
function doCommit()
{
   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true) alert("Unable to locate the LMS's API Implementation.\nCommit was not successful.");
      return "false";
   }
   else
   {
      var result = api.Commit("");
      if (result != "true")
      {
         var err = ErrorHandler();
      }
   }

   return result.toString();
}

/*******************************************************************************
**
** Function doGetLastError()
** Inputs:  None
** Return:  The error code that was set by the last LMS function call
**
** Description:
** Call the GetLastError function
**
*******************************************************************************/
function doGetLastError()
{
   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true) alert("Unable to locate the LMS's API Implementation.\nGetLastError was not successful.");
      //since we can't get the error code from the LMS, return a general error
      return _GeneralError;
   }

   return api.GetLastError().toString();
}

/*******************************************************************************
**
** Function doGetErrorString(errorCode)
** Inputs:  errorCode - Error Code
** Return:  The textual description that corresponds to the input error code
**
** Description:
** Call the GetErrorString function
**
********************************************************************************/
function doGetErrorString(errorCode)
{
   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true) alert("Unable to locate the LMS's API Implementation.\nGetErrorString was not successful.");
   }

   return api.GetErrorString(errorCode).toString();
}

/*******************************************************************************
**
** Function doGetDiagnostic(errorCode)
** Inputs:  errorCode - Error Code(integer format), or null
** Return:  The vendor specific textual description that corresponds to the
**          input error code
**
** Description:
** Call the LMSGetDiagnostic function
**
*******************************************************************************/
function doGetDiagnostic(errorCode)
{
   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true) alert("Unable to locate the LMS's API Implementation.\nGetDiagnostic was not successful.");
   }

   return api.GetDiagnostic(errorCode).toString();
}

/*******************************************************************************
**
** Function LMSIsInitialized()
** Inputs:  none
** Return:  true if the LMS API is currently initialized, otherwise false
**
** Description:
** Determines if the LMS API is currently initialized or not.
**
*******************************************************************************/
function LMSIsInitialized()
{
   // there is no direct method for determining if the LMS API is initialized
   // for example an LMSIsInitialized function defined on the API so we'll try
   // a simple LMSGetValue and trap for the LMS Not Initialized Error

   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true) alert("Unable to locate the LMS's API Implementation.\nLMSIsInitialized() failed.");
      return false;
   }
   else
   {
      var value = api.GetValue("cmi.core.student_name");
      var errCode = api.GetLastError().toString();
      if (errCode == _NotInitialized)
      {
         return false;
      }
      else
      {
         return true;
      }
   }
}

/*******************************************************************************
**
** Function ErrorHandler()
** Inputs:  None
** Return:  The current value of the LMS Error Code
**
** Description:
** Determines if an error was encountered by the previous API call
** and if so, displays a message to the user.  If the error code
** has associated text it is also displayed.
**
*******************************************************************************/
function ErrorHandler()
{
   var api = getAPIHandle();
   if (api == null)
   {
      if (_Debug==true) alert("Unable to locate the LMS's API Implementation.\nCannot determine LMS error code.");
      return;
   }

   // check for errors caused by or from the LMS
   var errCode = api.GetLastError().toString();
   if (errCode != _NoError)
   {
      // an error was encountered so display the error description
      var errDescription = api.GetErrorString(errCode);

      if (_Debug == true)
      {
         errDescription += "\n";
         errDescription += api.GetDiagnostic(null);
         // by passing null to GetDiagnostic, we get any available diagnostics
         // on the previous error.
      }

      if (_Debug==true) alert(errDescription);
   }

   return errCode;
}

/******************************************************************************
**
** Function getAPIHandle()
** Inputs:  None
** Return:  value contained by APIHandle
**
** Description:
** Returns the handle to API object if it was previously set,
** otherwise it returns null
**
*******************************************************************************/
function getAPIHandle()
{
   if (apiHandle == null)
   {
      apiHandle = getAPI();
   }
   return apiHandle;
}
/*******************************************************************************
**
** Function findAPI(win)
** Inputs:  win - a Window Object
** Return:  If an API object is found, it's returned, otherwise null is returned
**
** Description:
** This function looks for an object named API in parent and opener windows
**
*******************************************************************************/
function findAPI(win)
{
   while ((win.API_1484_11 == null) && (win.parent != null) && (win.parent != win))
   {
      findAPITries++;
      if (findAPITries > 500)
      {
         if (_Debug==true) alert("Error finding API -- too deeply nested.");
         return null;
      }
      win = win.parent;
   }
   return win.API_1484_11;
}
/*******************************************************************************
**
** Function getAPI()
** Inputs:  none
** Return:  If an API object is found, it's returned, otherwise null is returned
**
** Description:
** This function looks for an object named API, first in the current window's
** frame hierarchy and then, if necessary, in the current window's opener window
** hierarchy (if there is an opener window).
**
*******************************************************************************/
function getAPI()
{
   var theAPI = findAPI(window);
   if ((theAPI == null) && (window.opener != null) && (typeof(window.opener) != "undefined"))
   {
      theAPI = findAPI(window.opener);
   }
   if (theAPI == null)
   {
      if (_Debug==true) alert("Unable to find an API adapter");
   }
   return theAPI
}
function init() {
  doInitialize();
  doSetValue("cmi.progress_measure","1");
  doSetValue("cmi.completion_status","completed");
}
function finish() {
  doTerminate();
}




// Content of Swap.js
function swaparea(areaid,piccolor,picsize) {
	if (document.getElementById(areaid).style.display == '') {
			hideArea(areaid,piccolor,picsize);	
	}
	else {
		showArea(areaid,piccolor,picsize);
	}	
}

function showArea(areaid,piccolor,picsize) {
                document.getElementById(areaid).style.display='';
                document.getElementById("pic_"+areaid).src=document.getElementById("GraphicDirArrows").firstChild.nodeValue+"down_"+piccolor+".gif";
 /*
                if (picsize=="1") {
                        document.getElementById("pic_"+areaid).width="12";
                        document.getElementById("pic_"+areaid).height="2";
                }
                if (picsize=="2") {
                        document.getElementById("pic_"+areaid).width="9";
                        document.getElementById("pic_"+areaid).height="9";
                }
*/

}

function hideArea(areaid,piccolor,picsize) {
        document.getElementById(areaid).style.display='none';
        document.getElementById("pic_"+areaid).src=document.getElementById("GraphicDirArrows").firstChild.nodeValue+"right_"+piccolor+".gif";
}





// Content of Feedback.js


/*****************************************************************/

		var _SECTIONS=1;
		var _QUESTIONS=0;
		var _SCALE=0;
		var _COMMENT=false;

	 	function initFB() {
			doInitialize();
			setFormData();
	 	}
	 	



	 	
	 	function finishFB() {
	 		doTerminate();
	 	}

		/*
		* this function set the data of the user, he has entered before
		*/
		function setFormData() {
			var status=doGetValue("cmi.completion_status");
			if (status=="completed") {
				setGivenAnswers();
			}
		}

		/*
		* this function sets the data which was already given by the user
		*/
		function setGivenAnswers() {
			// select the answers for the rating questions
			for (var i=0;i<_QUESTIONS;i++) {
				var id=doGetValue("cmi.interactions."+i+".id");
				var value=doGetValue("cmi.interactions."+i+".learner_response");
				var buttons=FEEDBACK.getElementsByTagName("input");
				for (var j=i*_SCALE;j<(i+1)*_SCALE;j++) {
					var button=buttons.item(j);
					if (button.value==value) button.checked=true;
				}
			}

			// set the comment value
			if (_COMMENT==true) {
				var textcomment=doGetValue("cmi.interactions."+_QUESTIONS+".learner_response");
				if (textcomment!="") {
					FEEDBACK.COMMENT.value=textcomment;
				}
			}

		}



	 	/*
	 	* this function is called when the save button is clicked
	 	* and saves the results of the rating questions and the comment
	 	* the status is set to completed and a message for the successful save is shown
	 	*/
	 	function evaluate() {
			var question_count=evaluateRadioQuestions();
			if (_COMMENT==true) {
				evaluateComment(question_count);
			}

			doSetValue("cmi.completion_status","completed");
			
			document.getElementById("displaytext").style.display=''; 

	 	}


	 	/*
	 	*	evaluates all questions with radio buttons and sets the result over the SCORM-API
	 	*/
	 	function evaluateRadioQuestions() {
	 		var questions=FEEDBACK.getElementsByTagName("input");
			Result=0;
	 		for (var i=0;i<questions.length;i++) {

	 			var answer=questions.item(i);
	 			if (answer.checked && answer.type=="radio")	{
	 				number=parseInt(i/_SCALE);
	 				doSetValue("cmi.interactions."+number+".id",answer.name);  //answer.name);
	 				doSetValue("cmi.interactions."+number+".type","likert");
	 				doSetValue("cmi.interactions."+number+".weighting",_SCALE);
	 				doSetValue("cmi.interactions."+number+".description",answer.name);
	 				doSetValue("cmi.interactions."+number+".learner_response",answer.value);
		 			Result=Result+1;
	 			}
	 		}
	 		return Result;
	 	}
	 	/*
	 	* evaluates the comment and sets the result over the SCORM-API
	 	*/
	 	function evaluateComment(count) {
	 		var textarea=FEEDBACK.COMMENT;
	 		if (textarea.value!="") {
				// set the comment over SCORM-API
 				doSetValue("cmi.interactions."+count+".id","COMMENT");
 				doSetValue("cmi.interactions."+count+".type","long-fill-in");
 				doSetValue("cmi.interactions."+count+".description","COMMENT");
				doSetValue("cmi.interactions."+count+".learner_response",textarea.value);
			}
			else {
				// set the comment over SCORM-API
 				doSetValue("cmi.interactions."+count+".id","COMMENT");
 				doSetValue("cmi.interactions."+count+".type","long-fill-in");
 				doSetValue("cmi.interactions."+count+".description","COMMENT");
				doSetValue("cmi.interactions."+count+".learner_response"," ");			
			}
	 	}


		
		
		
// Content of objectSwap.js
/* ObjectSwap - Bypasses the new ActiveX Activation requirement in Internet Explorer by swapping existing ActiveX objects on the page with the same objects. Can also be used for Flash version detection by adding the param:
<param name="flashVersion" value="8" /> to the object tag.

Author: Karina Steffens, www.neo-archaic.net
Created: April 2006
Changes and bug fixes: May 2006
Bug fixes: June 2006
*/

//Check if the browser is InternetExplorer, and if it supports the getElementById DOM method
var ie = (document.defaultCharset && document.getElementById && !window.home);

//Hide the object to prevent it from loading twice
//if (ie){
//	document.write ("<style id='hideObject'> object{display:none;} </style>");
//	
//}

/*Replace all flash objects on the page with the same flash object, 
by rewriting the outerHTML values
This bypasses the new IE ActiveX object activation issue*/
objectSwap = function(){
	if (!document.getElementsByTagName){
		return;
	}
	//An array of ids for flash detection
	var stripQueue = [];
	//Get a list of all ActiveX objects
	var objects = document.getElementsByTagName('object');
	for (var i=0; i<objects.length; i++){			
		var o = objects[i];	
		var h = o.outerHTML;
		//The outer html omits the param tags, so we must retrieve and insert these separately
		var params = "";
		var hasFlash = true;
		for (var j = 0; j<o.childNodes.length; j++) {
			var p = o.childNodes[j];
			if (p.tagName == "PARAM"){
				//Check for version first - applies to all browsers
				//For this to work, a new param needs to be included in the object with the name "flashVersion" eg:
				//<param name="flashVersion" value="7" />
				if (p.name == "flashVersion"){
					hasFlash = detectFlash(p.value);
					if (!hasFlash){
						//Add the objects id to the list (create a new id if there's isn't one already)
						o.id = (o.id == "") ? ("stripFlash"+i) : o.id;
						stripQueue.push(o.id);
						break;
					}
				} 
				params += p.outerHTML;		       
			}
		}	
		if (!hasFlash){

			continue;
		}		
		//Only target internet explorer
		if (!ie){
			continue;
		} 
		//Avoid specified objects, marked with a "noswap" classname
		if (o.className.toLowerCase().indexOf ("noswap") != -1){
			continue;
		}		
		//Get the tag and attributes part of the outer html of the object
		var tag = h.split(">")[0] + ">";			
		//Add up the various bits that comprise the object:
		//The tag with the attributes, the params and it's inner html
		var newObject = tag + params + o.innerHTML + " </OBJECT>";		
		//And rewrite the outer html of the tag 
		o.outerHTML = newObject;
	}
	//Strip flash objects
	if (stripQueue.length) {
		stripFlash(stripQueue)
	}
	//Make the objects visible again
	if (ie){
		document.getElementById("hideObject").disabled = true;
	}
}

detectFlash = function(version){
	if(navigator.plugins && navigator.plugins.length){
		//Non-IE flash detection.
		var plugin = navigator.plugins["Shockwave Flash"];
		if (plugin == undefined){
			return false;
		}
		var ver = navigator.plugins["Shockwave Flash"].description.split(" ")[2];
		return (Number(ver) >= Number(version))
	} else if (ie && typeof (ActiveXObject) == "function"){
	//IE flash detection.
		try{
			var flash = new ActiveXObject("ShockwaveFlash.ShockwaveFlash." + version);
			return true;
		}
		catch(e){
			return false;
		}
	}
	//Catchall - skip detection
	return true;
}

//Loop through an array of ids to strip
//Replace the object by a div tag containing the same innerHTML.
//To display an alternative image, message for the user or a link to the flash installation page, place it inside the object tag.  
//For the usual object/embed pairs it needs to be enclosed in comments to hide from gecko based browsers.
stripFlash = function (stripQueue){
	if (!document.createElement){
		return;
	}
	for (var i=0; i<stripQueue.length; i++){
		var o = document.getElementById(stripQueue[i]);
		var newHTML = o.innerHTML;	
		//Strip the comments
		newHTML = newHTML.replace(/<!--\s/g, "");
		newHTML = newHTML.replace(/\s-->/g, "");
		//Neutralise the embed tag
		newHTML = newHTML.replace(/<embed/gi, "<span");		
		//Create a new div element with properties from the object
		var d = document.createElement("div");
		d.innerHTML = newHTML;
		d.className = o.className;
		d.id = o.id;
		//And swap the object with the new div
		o.parentNode.replaceChild(d, o);
	}
}

//Initiate the function without conflicting with the window.onload event of any preceding scripts
var tempFunc = window.onload;
window.onload = function(){
//	if (typeof (tempFunc) == "function"){
//		try{
//			tempFunc();
//		} catch(e){}
//	}
    //Start fix 3112514 2008:              
//    if(typeof window.external=="object" &&     
//	   window.external!=null &&                
//	   typeof window.external.epcm=="object"){
	    return;                                  
 //   }                                          
    //End fix 3112514 2008.                
//	objectSwap();
}


// Quiz.js
	function calculate() {
		quizscore=0;
		maxscore=0;
		var answers=document.getElementsByTagName("input");
		// number of found input tags is one more as expected, because of submit button is the last one!!!
		for (i=0;i<answers.length-1;i++) {
			if (answers[i].value==1) {
				maxscore=maxscore+1;
			}
			if (answers[i].checked==true & answers[i].value==1) {
				quizscore=quizscore+1;
				answers[i].parentNode.parentNode.style.backgroundColor = "#CBDBD7";
			}
			else {
				answers[i].parentNode.parentNode.style.backgroundColor = "#FFFFFF";
			}
		}
		var feedbacktext = " " + quizscore + "/" + maxscore;
  		document.getElementById("displaytext").firstChild.nodeValue  = document.getElementById("scoretext").firstChild.nodeValue + feedbacktext;
	}
	
	
	